> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Instruments

Retrieves a list of PaymentInstrument objects for an Account.

## Path Parameters

## Query Parameters

## Returns

Returns a list of PaymentInstrument objects.

```bash cURL theme={null}
curl "https://production.methodfi.com/accounts/acc_4m9amk4KFiaQX/payment_instruments" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_4m9amk4KFiaQX')
  .paymentInstruments
  .list();
```

```python Python theme={null}
response = method
  .accounts('acc_4m9amk4KFiaQX')
  .payment_instruments
  .list()
```

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "pmt_inst_pd788hPVhLT37",
      "account_id": "acc_GAzrD99cUqGEN",
      "type": "card",
      "card": {
        "number": "5555555555551580",
        "exp_month": "04",
        "exp_year": "2027",
        "cvv": "878",
        "billing_zip_code": "12345"
      },
      "network_token": null,
      "inbound_achwire_payment": null,
      "chargeable": true,
      "status": "completed",
      "error": null,
      "created_at": "2025-12-03T19:30:56.039Z",
      "updated_at": "2025-12-03T19:30:56.039Z"
    },
    {
      "id": "pmt_inst_vk423jTNmSR82",
      "account_id": "acc_GAzrD99cUqGEN",
      "type": "network_token",
      "card": null,
      "network_token": {
        "token": "1234567890123456"
      },
      "inbound_achwire_payment": null,
      "chargeable": true,
      "status": "completed",
      "error": null,
      "created_at": "2025-12-03T19:30:56.039Z",
      "updated_at": "2025-12-03T19:30:56.039Z"
    }
  ],
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.